Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 644606 - app-office/texmacs-1.99.6-r2 stabilisation and cleanup old
Summary: app-office/texmacs-1.99.6-r2 stabilisation and cleanup old
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Andrey Grozin
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on: qt-5.9.4-stable 645262 652054
Blocks: 590160 qt4-removal
  Show dependency tree
 
Reported: 2018-01-15 01:13 UTC by Andreas Sturmlechner
Modified: 2018-05-06 20:18 UTC (History)
1 user (show)

See Also:
Package list:
app-office/texmacs-1.99.6-r2
Runtime testing required: ---
stable-bot: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Sturmlechner gentoo-dev 2018-01-15 01:13:02 UTC
Is it OK to stabilise latest Qt5-based app-office/texmacs-1.99.6-r1? (PS: Are you sure it does not link against qtcore:5 and qtgui:5? qmake-utils.eclass appears to be unused by the ebuild)

Alternatively, we could drop USE=qt4 from app-office/texmacs-1.99.2-r1 if the current stable version shall be kept for some time.
Comment 1 Andrey Grozin gentoo-dev 2018-01-15 05:21:58 UTC
(In reply to Andreas Sturmlechner from comment #0)
> Is it OK to stabilise latest Qt5-based app-office/texmacs-1.99.6-r1? (PS:
> Are you sure it does not link against qtcore:5 and qtgui:5?
It does. But qtwidgets:5 depends on qtore:5 and gtgui:5, so, their presence is guaranteed.

> Alternatively, we could drop USE=qt4 from app-office/texmacs-1.99.2-r1 if
> the current stable version shall be kept for some time.
TeXmacs is a gui program, it cannot be used without some gui. Currently there are 3 possible guis:

1. A very old one based directly on xlib with home-made widgets.

2. Qt4

3. The newest version can use Qt5 instead of Qt4.

I don't think (1) is a reasonable choice. So, let's try to stabilize (3).

Unfortunately, development of TeXmacs is very slow (though it has not stopped). An experimental support for guile-2 is still far from ready, and it still requires guile-1.8.
Comment 2 Andreas Sturmlechner gentoo-dev 2018-01-16 22:18:22 UTC
(In reply to Andrey Grozin from comment #1)
> (In reply to Andreas Sturmlechner from comment #0)
> > Is it OK to stabilise latest Qt5-based app-office/texmacs-1.99.6-r1? (PS:
> > Are you sure it does not link against qtcore:5 and qtgui:5?
> It does. But qtwidgets:5 depends on qtore:5 and gtgui:5, so, their presence
> is guaranteed.
That's not how we usually do it - transitive dependencies are bad.

(In reply to Andrey Grozin from comment #1)
> I don't think (1) is a reasonable choice. So, let's try to stabilize (3).
Great, adding arches then in case you forgot.
Comment 3 Thomas Deutschmann gentoo-dev Security 2018-01-21 16:47:08 UTC
x86 stopped stabilization due to bug 645262.
Comment 4 Larry the Git Cow gentoo-dev 2018-01-24 06:41:42 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4009e101a80b0638ff151b1ef4f7763a71e7a259

commit 4009e101a80b0638ff151b1ef4f7763a71e7a259
Author:     Andrey Grozin <grozin@gentoo.org>
AuthorDate: 2018-01-24 06:40:14 +0000
Commit:     Andrey Grozin <grozin@gentoo.org>
CommitDate: 2018-01-24 06:41:03 +0000

    app-office/texmacs: correct Qt5 dependencies
    
    Bug: https://bugs.gentoo.org/644606
    Package-Manager: Portage-2.3.19, Repoman-2.3.6

 app-office/texmacs/texmacs-1.99.6-r2.ebuild | 73 +++++++++++++++++++++++++++++
 1 file changed, 73 insertions(+)}
Comment 5 Andrey Grozin gentoo-dev 2018-01-24 06:49:32 UTC
(In reply to Thomas Deutschmann from comment #3)
> x86 stopped stabilization due to bug 645262.
Right. I haven't noticed that >=Qt5.9.1 is needed (because I run an ~amd64 box and an ~x86 one, and I have Qt5.9.3 installed). I've fixed this dependency problem in texmacs-1.99.6-r2.ebuild. So, stabilization has to wait until Qt5.9.3 is stabilized. Should I close this as CANTFIX or what?
Comment 6 Andreas Sturmlechner gentoo-dev 2018-01-24 09:35:02 UTC
No, keep it open, I've already made it depend on the Qt 5.9.x stabilisation bug. I've dropped arches, re-add them later when that is solved.
Comment 7 Andreas Sturmlechner gentoo-dev 2018-03-20 09:31:40 UTC
Arches, please stabilise!
Comment 8 Larry the Git Cow gentoo-dev 2018-03-30 17:14:33 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bbc86803b8dcdd766528cd9d2e7dec829d88d5a0

commit bbc86803b8dcdd766528cd9d2e7dec829d88d5a0
Author:     Aaron Bauman <bman@gentoo.org>
AuthorDate: 2018-03-30 16:53:08 +0000
Commit:     Aaron Bauman <bman@gentoo.org>
CommitDate: 2018-03-30 17:14:21 +0000

    app-office/texmacs: amd64 stable
    
    Bug: https://bugs.gentoo.org/644606
    Package-Manager: Portage-2.3.26, Repoman-2.3.7

 app-office/texmacs/texmacs-1.99.6-r2.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)}
Comment 9 Sergei Trofimovich gentoo-dev 2018-03-30 22:34:28 UTC
At least on 32-bit platforms I expect build failure. Adding blocker: bug #652054
Comment 10 Thomas Deutschmann gentoo-dev Security 2018-04-12 20:31:52 UTC
x86 stopped stabilization due to same problem like ppc (bug 652054 -- bug has a working patch!).
Comment 11 Thomas Deutschmann gentoo-dev Security 2018-04-25 19:32:04 UTC
x86 stable
Comment 12 Matt Turner gentoo-dev 2018-05-06 18:25:28 UTC
dropped to ~ppc
Comment 13 Larry the Git Cow gentoo-dev 2018-05-06 20:18:48 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=25a32a798855fc6a3995192233a40a686ee03053

commit 25a32a798855fc6a3995192233a40a686ee03053
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2018-05-06 17:58:33 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2018-05-06 20:17:46 +0000

    app-office/texmacs: Drop old, de-stabilise ppc
    
    Closes: https://bugs.gentoo.org/644606
    Package-Manager: Portage-2.3.36, Repoman-2.3.9

 app-office/texmacs/Manifest                        |  2 -
 .../texmacs/files/texmacs-1.99.2-norpath.patch     | 16 -----
 .../files/texmacs-1.99.2-underlinking.patch        | 16 -----
 app-office/texmacs/metadata.xml                    |  1 -
 app-office/texmacs/texmacs-1.99.2-r1.ebuild        | 83 ----------------------
 app-office/texmacs/texmacs-1.99.5.ebuild           | 81 ---------------------
 app-office/texmacs/texmacs-1.99.6-r1.ebuild        | 71 ------------------
 app-office/texmacs/texmacs-1.99.6.ebuild           | 79 --------------------
 8 files changed, 349 deletions(-)